# Class IllegalSampleDimensionException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
IllegalSampleDimensionException

All Implemented Interfaces:
  `Serializable`

public class IllegalSampleDimensionException extends IllegalArgumentException
Thrown when `SampleDimension` cannot be created. The most common cause is overlapping ranges of sample values. This exception is caused by an illegal argument, but may happen at a later stage (for example when `SampleDimension​.Builder​.build()` is invoked).

Since:
  1.1
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IllegalSampleDimensionException()`
  Creates an exception with no message.
  `IllegalSampleDimensionException(String message)`
  Creates an exception with the specified message.
  `IllegalSampleDimensionException(String message, Throwable cause)`
  Creates an exception with the specified message and cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IllegalSampleDimensionException

    public IllegalSampleDimensionException()
    Creates an exception with no message.

  - ### IllegalSampleDimensionException

    public IllegalSampleDimensionException(String message)
    Creates an exception with the specified message.
    Parameters:
      `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.

  - ### IllegalSampleDimensionException

    public IllegalSampleDimensionException(String message, Throwable cause)
    Creates an exception with the specified message and cause.
    Parameters:
      `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.
      `cause` - the cause, saved for later retrieval by the `Throwable​.getCause()` method.